from kuro.base import BaseConfig


# Config variables used in the main configuration
class Config(BaseConfig):
    # Show debug bar and messages
    debug = True
    verbose = False

    # Default Applications
    app_terminal = "terminator"
    app_launcher = "dmenu_run -i -p '»' -nb '#000000' -fn 'Noto Sans-11' -nf '#777777' -sb '#1793d0' -sf '#ffffff'"

    # Images
    desktop_bg = "/home/kevin/Pictures/wallpapers/desktop.png"
    applauncher_image = "/home/kevin/.config/qtile/kuro/resources/arch.png"

    # Fonts
    font_default = "Noto Sans"
    font_topbar = "Noto Sans"
    font_clock = "Noto Sans"
    font_titlebar = "Noto Sans"

    # Font sizes
    fontsize_default = 11
    fontsize_topbar = 11
    fontsize_clock = 11
    fontsize_titlebar = 11

    # Sizes
    width_border = 1
    margin_layout = 4
    width_spacer = 1
    padding_spacer = 4
    grow_amount = 5
    width_zoomy_column = 300

    # Colours
    colour_border_normal = "#333333"
    colour_border_focus = "#ffffff"
    colour_border_urgent = "#774400"
    colour_spacer_background = "#777777"

    # Groupbox variables
    font_groupbox = "FontAwesome"
    fontsize_groupbox = 15
    width_groupbox_border = 1
    height_groupbox = 24
    margin_groupbox = 0
    bool_groupbox_disable_drag = True
    bool_groupbox_rounded_borders = True
    colour_groupbox_border_normal = "#333333"
    colour_groupbox_border_focus = "#aaaaaa"
    colour_groupbox_icon_active = "#ffffff"
    colour_groupbox_icon_inactive = "#777777"

    # Tasklist variables
    tasklist_border = "#ffffff"
    tasklist_urgent_border = "#774400"
    tasklist_font = "Noto Sans"
    tasklist_fontsize = 11

    # Thermal indicator variables
    thermal_threshold = 75
    thermal_sensor = "Package id 0"
    thermal_chip = "coretemp-isa-0000"

    # CPU graph variables
    cpu_graph_colour = '#ff0000'

    # Memory graph variables
    mem_graph_colour = '#ff00ff'

    # HDD graph variables
    hdd_graph_colour = '#ffff00'

    # Battery variables
    battery_theme_path = "/home/kevin/.config/qtile/kuro/resources/battery"
    battery_update_delay = 5

    # Wifi variables
    wifi_interface = "wlp4s0"
    wifi_theme_path = "/home/kevin/.config/qtile/kuro/resources/wifi"
    wifi_update_interval = 5

    # Normal volume icon variables
    volume_font = "Noto Sans"
    volume_fontsize = 11
    volume_theme_path = "/home/kevin/.config/qtile/kuro/resources/volume"
    volume_get_command = "pamixer --sink 0 --get-volume".split()
    volume_mute_command = "pamixer --sink 0 -t".split()
    volume_up_command = "pamixer --sink 0 -i 2".split()
    volume_down_command = "pamixer --sink 0 -d 2".split()
    volume_is_bluetooth_icon = False
    volume_update_interval = 0.2

    # Bluetooth volume icon variables
    bluevol_font = "Noto Sans"
    bluevol_fontsize = 11
    bluevol_theme_path = "/home/kevin/.config/qtile/kuro/resources/bluetooth_volume"
    bluevol_get_command = "pamixer --sink {bsink} --get-volume".split()
    bluevol_mute_command = "pamixer --sink {bsink} -t".split()
    bluevol_up_command = "pamixer --sink {bsink} -i 2".split()
    bluevol_down_command = "pamixer --sink {bsink} -d 2".split()
    bluevol_is_bluetooth_icon = True
    bluevol_update_interval = 0.2

    # CheckUpdates variables
    updates_display_format = "{updates}"
    updates_execute_command = "terminator -e 'echo Updating\ via\ yaourt\ -Sayu...; yaourt -Sayu'"
    updates_colour_available = '#f4d742'

